/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.Party;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype party */
public abstract class Party {
    public Vector listRelationships() {
        return new Vector();
    }

    /**  */
    public Vector listCurrentRelationships() {
        return new Vector();
    }

    public Vector listAddresses() {
        return new Vector();
    }

    public Vector listCurrentAddresses() {
        return new Vector();
    }

    private String number;

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 0..*
     * @supplierRole current,all
     */
    private AddressUse lnkUnnamed;

    /**
     *@supplierRole 0..*
     *@clientCardinality 1
     */
    private PartyRole lnkUnnamed2;

    /**
     *@supplierCardinality 0..*
     *@clientRole from,to
     * @clientCardinality 1..*
     * @supplierRole current,all
     */
    private RelMgmt.Party.PartyRelationship lnkUnnamed1;
    private String govtAsignedID;
}


